Bug 201036

Summary: Remove MaximalFlushInsertionPhase
Product: WebKit Reporter: Tadeu Zagallo <tzagallo>
Component: JavaScriptCoreAssignee: Tadeu Zagallo <tzagallo>
Status: RESOLVED FIXED    
Severity: Normal CC: commit-queue, ews-watchlist, keith_miller, mark.lam, msaboff, sbarati, webkit-bug-importer, ysuzuki
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Patch for landing none

Description Tadeu Zagallo 2019-08-22 08:02:41 PDT
...
Comment 1 Tadeu Zagallo 2019-08-22 17:02:55 PDT
Created attachment 377078 [details]
Patch
Comment 2 Saam Barati 2019-08-23 00:59:58 PDT
Comment on attachment 377078 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=377078&action=review

r=me

Please also add the new test from Radar

> Source/JavaScriptCore/ChangeLog:9
> +        to remove it instead of hacking it to fix the most recent false positive.

It would be good to describe the latest issue to motivate why it’s not worth keeping

> JSTests/stress/set-argument-maybe-maximal-flush-should-not-extend-liveness-2.js:-1
> -//@ runDefault("--useMaximalFlushInsertionPhase=1", "--jitPolicyScale=0", "--useConcurrentJIT=0")

Let’s keep these tests and just remove the option
Comment 3 Tadeu Zagallo 2019-08-23 15:25:20 PDT
Created attachment 377163 [details]
Patch for landing
Comment 4 WebKit Commit Bot 2019-08-23 16:08:13 PDT
Comment on attachment 377163 [details]
Patch for landing

Clearing flags on attachment: 377163

Committed r249075: <https://trac.webkit.org/changeset/249075>
Comment 5 WebKit Commit Bot 2019-08-23 16:08:15 PDT
All reviewed patches have been landed.  Closing bug.
Comment 6 Radar WebKit Bug Importer 2019-08-23 16:09:20 PDT
<rdar://problem/54658790>
Comment 7 Yusuke Suzuki 2019-08-26 13:42:52 PDT
Committed r249116: <https://trac.webkit.org/changeset/249116>